body {
    --tblr-border-color-translucent: rgba(4, 32, 69, 0.3);
    --tblr-brand: #6c9b00;
    --tblr-primary: #6c9b00;
    --tblr-primary-darken: color-mix(in oklab, var(--tblr-primary), transparent 20%);
    --tblr-btn-hover-bg: var(--tblr-primary-darken);
    --tblr-cust-cap-bg: #e9eaeb;
    --tblr-cust-cap-bg-light: #eaedef;
    --tblr-link-color: var(--tblr-primary);
    --tblr-link-hover-color: var(--tblr-primary);
    --tblr-border-width: 1px;
    --tblr-border-color: #e5e7eb;
}
.table-striped > tbody > tr:nth-of-type(even) > * {
    --tblr-table-bg-type: var(--tblr-gray-100);
}
.navbar {
    --tblr-bg-surface: #002a3a;
}

.page-pretitle {
    letter-spacing: .06em;
}
@media (min-width: 576px) {
    .ps-sm-7 { padding-left: 48px !important; }
}
@media (min-width: 992px) {
    :root{
        margin-left: 0px;
    }

    .navbar-vertical.navbar-expand-lg .navbar-brand {
        padding: 1.5rem 0;
    }

    .page:before {
        content: "";
        position: absolute;
        inset: 0;
        z-index: 0;

        background-image: linear-gradient(to bottom, #f5f5f5 10%, rgba(120, 120, 120, 0) 85rem), url("../images/body/bg_05.webp");
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;

        filter: blur(1px);
        opacity: 0.6;
    }

    .page > * {
        z-index: 1;
    }
}

.navbar.navbar-vertical {
    font-size: 18px;
}

.navbar-nav .nav-link-title {
    line-height: 36px;
}

.navbar-nav .dropdown-item {
    font-size: 16px;
}

.navbar-nav .nav-link-icon {
    width: 28px;
    height: 28px;
}

.navbar-nav .nav-link-icon svg, .navbar-nav .nav-link-icon img {
    width: 100%;
}

.page-header .page-pretitle a {
    color: var(--tblr-brand);
}

.page-wrapper .page-header {
    border-bottom: 1px solid var(--tblr-border-color-translucent);
    margin: 0px;
    padding: 8px 0;
    background-color: var(--tblr-cust-cap-bg);
}

.page-wrapper .page-header .container-xl {
    max-width: 100%;
}

.max60 {
    display: inline-block; 
    max-width: 60px;
}
.max80 {
    display: inline-block; 
    max-width: 80px;
}
.max100 {
    display: inline-block; 
    max-width: 100px;
}
.max120 {
    display: inline-block; 
    max-width: 120px;
}
.max130 {
    display: inline-block; 
    max-width: 130px;
}

.max140 {
    display: inline-block; 
    max-width: 140px;
}

.form-control, .form-select {
    padding: 0.4rem 0.9rem;
}

.form-control-color {
    padding: 0.5625rem;
}

.form-label {
    margin: 0.4rem 0;
}
.card-header {
    background-color: var(--tblr-cust-cap-bg);
    padding: 14px 20px;
}
.card-header.table-header {
    background-color: var(--tblr-card-cap-bg);
    padding: 14px 12px 14px 20px;
}
.table-header .card-title {
    margin: 7px 0;
}
.card-footer {
    background-color: var(--tblr-cust-cap-bg-light);
}
.card .card-body input[type=checkbox] {
    margin-top: 0.42rem;
    margin-bottom: 0.5rem;
}
.card .card-body input[type=checkbox].form-check-input-small {
    margin: 0 7px 0 0;
}
.card .card-body input[type=checkbox].form-check-inline {
    margin: 0 7px 0 0;
}
.mb-2a {
    margin-bottom: 0.8rem !important;
}

.px-7 {
  padding-right: 3rem !important;
  padding-left: 3rem !important;
}

span.error, small.error {
    display: block;
    margin-top: 6px;
    margin-bottom: -4px;
    background: var(--tblr-primary);
    color: #fff;
    padding: .45rem 0.9rem;
    font-family: var(--tblr-btn-font-family);
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.25rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-clip: padding-box;
    border: var(--tblr-border-width) solid var(--tblr-border-color);
    border-radius: var(--tblr-border-radius);
    box-shadow: var(--tblr-shadow-input);
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.xdsoft_datetimepicker {
    margin-left: 3px;
    margin-top: 1px;
}

.signin-logo {
    width: 250px;
    max-width: 95%;
    height: auto;
    display: block;
    margin: -100px auto 35px auto;
}
.map {
    width: 96%;
    margin-left: 2%;
    margin-top: 2%;
    height: 80vh;
/*    border: 4px solid rgba(43, 43, 43, .9);*/
}
.actions {
    min-width: 120px;
    width: 170px;
    max-width: 170px;
}
.actions a.btn {
    padding: 8px;
    color: var(--tblr-body-color);
}
.step a.btn, .adblock_view a.btn, .registration-item a.btn {
    padding: 8px;
}
.step a.btn svg,.adblock_view a.btn svg,.actions a.btn svg, .registration-item a.btn svg {
    margin: 0;
    width: 22px;
    height: 22px;
}
.adblock_view a.btn.text-danger svg, .actions a.btn.text-danger svg {
    stroke-width: 2;
}
thead th.actions li a {
    font-size: 40px;
}
.actions>div {
    float: right;
}
.icons-1 {
    min-width: 72px;
    width: 72px;
}
.icons-2 {
    min-width: 120px;
    width: 120px;
    max-width: 120px;
}
.icons-3 {
    min-width: 120px;
    max-width: 168px;
    width: 168px;
}
.icons-4 {
    min-width: 120px;
    width: 216px;
    max-width: 216px;
}
.icons-5 {
    min-width: 168px;
    width: 264px;
    max-width: 264px;
}
.markdown>table thead th, .table thead th {
    background-color: var(--tblr-cust-cap-bg);

}
.page-item-arrow {
    line-height: 26px;
    font-size: 30px;
    padding: 0 4px;
}
.page-item-sm { display: none; }
@media (max-width: 575px) {
    .page-item-sm { display: list-item;}
    .no-small { display: none; }
    .card-header a.btn { padding: 9px; }
    .card-header a.btn svg { margin: 0; }
}
@media (max-width: 767px) {
    .pagination > .page-item:first-child,
    .pagination > .page-item:last-child {
        display: none;
    }
    .page-item.disabled {
        margin-left: -12px;
        margin-right: -12px;
    }
    .no-medium { display: none; }
}
table.clickable tbody tr {
    cursor: pointer; cursor: hand;
}
.card-menu svg {
    width: 160px;
    height: 160px;
    color: var(--tblr-gray-600);
    stroke-width: 0.8;
}
div.flash.label {
    display: block;
    padding-left: 5px;
    margin-top: -1px;
    font-size: 1.2em;
    font-weight: normal;
    line-height: 2.6em;
    color: #fff;
    text-align: center;
    position: absolute;
    width: 100%;
    top: 0;
    z-index: 150;
}
div.flash.info {
    background: #6c9b00;
}
div.flash.error {
    background: #ff2e2e;
}
.ui-autocomplete {
    position: absolute;
    cursor: pointer;
    list-style: none;
    padding-left: 0px;
    outline: 0;
    border: 1px solid #c5c5c5;
    background: #ffffff;
    text-align: left;
    z-index: 1;
}
.ui-menu-item {
    padding-left: 10px;
}
.ui-menu-item:hover {
    color: HighlightText;
    background-color: Highlight;
}
.form-check-input-small {
    width: 18px;
    height: 18px;
    background-size: 18px;
}
.form-view-text {
    padding: 0.4rem;
}
.card-header-tabs {
    background: none;
    margin-top: 0px;
}
.stat-area {
    width: 100%;
    height: 330px;
}
@media (max-width: 767px) {
    .stat-area {
        height: 280px;
    }
}
@media (max-width: 575px) {
    .stat-area {
        height: 220px;
    }
}
.drop-item, .addItem{
    cursor: pointer; cursor: hand;
}
.float-left {
    float: left;
}
.amcharts-zoom-button .zoom > a {
    display: block;
    overflow: hidden;
    text-indent: -13333337px;
    width: 26px;
    height: 26px;
    padding: 0;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 13px;
    margin: 0;
}
.amcharts-zoom-button .zoom > a:first-child {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2214px%22%20height%3D%2214px%22%3E%0A%3Crect%20x%3D%220%22%20y%3D%225%22%20fill%3D%22%23888%22%20width%3D%2213%22%20height%3D%223%22%2F%3E%0A%3Crect%20x%3D%225%22%20y%3D%220%22%20fill%3D%22%23888%22%20width%3D%223%22%20height%3D%2213%22%2F%3E%0A%3C%2Fsvg%3E');
}
.amcharts-zoom-button .zoom > a:last-child {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2214px%22%20height%3D%2214px%22%3E%0A%3Crect%20x%3D%220%22%20y%3D%225%22%20fill%3D%22%23888%22%20width%3D%2213%22%20height%3D%223%22%2F%3E%0A%3C%2Fsvg%3E');
}
.amcharts-zoom-button .zoom > a:first-child:hover {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2214px%22%20height%3D%2214px%22%3E%0A%3Crect%20x%3D%220%22%20y%3D%225%22%20fill%3D%22%23FFF%22%20width%3D%2213%22%20height%3D%223%22%2F%3E%0A%3Crect%20x%3D%225%22%20y%3D%220%22%20fill%3D%22%23FFF%22%20width%3D%223%22%20height%3D%2213%22%2F%3E%0A%3C%2Fsvg%3E');
    background-color: #636363;
}
.amcharts-zoom-button .zoom > a:last-child:hover {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2214px%22%20height%3D%2214px%22%3E%0A%3Crect%20x%3D%220%22%20y%3D%225%22%20fill%3D%22%23FFF%22%20width%3D%2213%22%20height%3D%223%22%2F%3E%0A%3C%2Fsvg%3E');
    background-color: #636363;
}
.amcharts-zoom-button .zoom {
    margin: 8px 12px 0 16px;
    box-shadow: 1px 1px 3px 0px rgba(0,0,0,0.5);
    border-radius: 13px;
    width: 26px;
    height: 52px;
}
.table-export-right {
    text-align: left;
}
.row .card-body:hover .table-export-right .amcharts-export-menu {
    opacity: 1;
}
.form-content.table-content.full:hover .table-export-right .amcharts-export-menu {
    opacity: 1;
}
.table-export-right .amcharts-export-menu li > a {
    cursor: pointer;
}
.amcharts-second-button {
    position: relative;
    display: none;
}
.amcharts-second-button .amcharts-export-menu{
    right: 0px;
    top: 45px;
}
.row .card-body:hover .amcharts-second-button .amcharts-export-menu {
    opacity: 1;
}
.amcharts-second-button .amcharts-export-menu .export-main:hover {
    padding-bottom: 0px;
}
.amcharts-second-button .amcharts-export-menu .export-main > a {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2211px%22%20height%3D%2214px%22%3E%3Crect%20x%3D%220%22%20y%3D%224%22%20fill%3D%22%23888%22%20width%3D%222%22%20height%3D%2210%22%2F%3E%3Crect%20x%3D%223%22%20y%3D%220%22%20fill%3D%22%23888%22%20width%3D%222%22%20height%3D%2214%22%2F%3E%3Crect%20x%3D%226%22%20y%3D%223%22%20fill%3D%22%23888%22%20width%3D%222%22%20height%3D%2211%22%2F%3E%3Crect%20x%3D%229%22%20y%3D%227%22%20fill%3D%22%23888%22%20width%3D%222%22%20height%3D%227%22%2F%3E%3C%2Fsvg%3E');
}
.amcharts-second-button .amcharts-export-menu .export-main:hover > a {
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2211px%22%20height%3D%2214px%22%3E%3Crect%20x%3D%220%22%20y%3D%224%22%20fill%3D%22%23FFF%22%20width%3D%222%22%20height%3D%2210%22%2F%3E%3Crect%20x%3D%223%22%20y%3D%220%22%20fill%3D%22%23FFF%22%20width%3D%222%22%20height%3D%2214%22%2F%3E%3Crect%20x%3D%226%22%20y%3D%223%22%20fill%3D%22%23FFF%22%20width%3D%222%22%20height%3D%2211%22%2F%3E%3Crect%20x%3D%229%22%20y%3D%227%22%20fill%3D%22%23FFF%22%20width%3D%222%22%20height%3D%227%22%2F%3E%3C%2Fsvg%3E');
}
.table-export-right {
    position: relative;
    float: right;
}
.basic-stat-box {
    text-align: left;
    width:140px;
    max-width:140px;
    display: inline-block;
    margin-left: 20px;
    margin-right: 20px;
}
@media (max-width: 640px) {
    .basic-stat-box {
        margin-left: 5px;
        margin-right: 5px;
    }
}@media (max-width: 575px) {
    .basic-stat-box {
        margin-left: 0px;
        margin-right: 0px;
    }
}
.border-top {
    border-top: var(--tblr-card-border-width) solid var(--tblr-card-border-color);
}
.step.single h3, .step.single .switchCheckbox {
    display: none;
}
.step.card.single {
    border: none;
    padding: 0px !important;
}
.step.card:not(.single){
    padding: 1.5rem !important;
}
.step:not(.single) .card{
    border: none;
    margin: 0px !important;
    padding: 0px !important;
}
.step:not(.single) .form-check-input{
    width: 18px;
    height: 18px;
    background-size: 18px;
}
.step:not(.single) .card h4{
    font-weight: normal;
}
#loading {
    display: block;
    margin: 60px auto;
    width: 50px;
}
.point {
    display: inline-block;
    font-size: 20px;
    margin-top: -13px;
    margin-right: 5px;
}
.point.red {
    color: #f00;
}
.point.green {
    color: #090;
}
.point.orange {
    color: #ffa500;
}
